AutoCad - rotar el texto en dimesion

   
Vista:

rotar el texto en dimesion

Publicado por Victor (1 intervención) el 26/03/2010 12:48:53
Saludos, me anime a escribir y a preguntar tengo una dimension y quiero girar el texto y hacer algun que otro cambio a la dimension sin cambiarle de estilo dimension, he tratado usando entget, pero solo consigo los datos de capa, estil ode dimensionado, etc, pero lo que deseo cambiar no lo encuentro ni puedo reemplazarlo, alguien sabe como puedo cambiar eso, se lo agradeceria muchisimo
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:rotar el texto en dimesion

Publicado por Carlos Rodriguez G. (369 intervenciones) el 06/04/2010 00:09:14
Hola Victor,

Para cambiar la orientación de los textos de cotas, debes ir al administrador de estilos de cota, una vez ahí, creas o modificas tu estilo de cotas. En la pestaña Texto puedes seleccionar que tus cotas se alineen o se vean siempre horizontales.

Para editar el texto de la cota debes hacerlo ejecutando el comando DDEDIC para castellano o DDEDIT para ingles.

Suerte
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:rotar el texto en dimesion

Publicado por Gerardo (32 intervenciones) el 07/04/2010 18:59:19
Hola.

Yo no entiendo bien si lo que andas buscando es un comando o un codigo de programacion, porque hablas de usar entget.

En todo caso, si quieres modificar dimensiones sin cambiar el estilo de dimension, vale la pena que le eches un ojo al comando _dimedit. Este tiene una opcion rotate para cambiar la orientacion del texto de la cota. Al final esto es igual que hacerlo en la paleta de propiedades (ctrl+1). En esa paleta puedes, seleccionando un conjunto de dimensiones, modificar valores de diversos tipos.

Si se trata de programar algo, me imagino que usando DXF que es el formato que maneja la funcion entget, pues solo hay que cambiar los valores deseados y aplicar un entmod. Por ejemplo la rotacion del texto esta en el codigo 53. Si quieres hacer la rotacion del texto de una cota igual a pi radianes pones:

(setq nuevoangulodetexto PI )
(setq lista (entget (car (entsel "Seleccione una cota"))))
(entmod (subst (cons 53 nuevoangulodetexto) (assoc 53 lista) lista)
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:rotar el texto en dimesion

Publicado por albert (1 intervención) el 26/09/2010 03:00:03
Selecciona la dimension, luego propiedades, y en la pestaña "texto" modifica el valor de casilla con el angulo de rotacion deseado.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

rotar el texto en dimesion

Publicado por Oscar Antonio (1 intervención) el 01/09/2012 03:16:25
como cambio rotar el texto en dimension de cotas
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar